| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Types | Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
World.WorldMap Class Reference

World map. More...

## Public Types
enum | MarkPosition : byte { LEFT = 0, RIGHT = 1, MARKS_COUNT }
| Enum to specify mark position. More...

## Public Member Functions
| WorldMap ()
| Default constructor. More...
void | ModifyMark (MarkPosition position, PointF coordinates, Color color)
| Modify parameters of the specified mark. More...

## Properties
List< Mark > | Marks`[get]`
| Marks list getter. More...
List< TrackPoint > | TrackPoints`[get]`
| Track points getter. More...

## Private Member Functions
void | RecalculateTrack ()
| Recalculate track points' coordinates. More...
void | RecalculateCarRectangle ()
| Recalculates the coordinates of car-defining rectangle More...
void | RecalculatePlatformRectangle ()
| Recalculates the coordinates of platform-defining rectangle More...

## Private Attributes
List< Mark > | marks
| List of detected marks. More...
List< TrackPoint > | trackPoints
| List of wheelchair's track points. More...

## Detailed Description

World map.

Definition at line 470 of file WorldMap.cs.

## Member Enumeration Documentation

enum World.WorldMap.MarkPosition : byte

Enum to specify mark position.

Enumerator
LEFT | Left mark.
RIGHT | Right mark.
MARKS_COUNT | Marks count.

Definition at line 475 of file WorldMap.cs.

## Constructor & Destructor Documentation

World.WorldMap.WorldMap | ( |  | ) |

Default constructor.

Definition at line 528 of file WorldMap.cs.

## Member Function Documentation

void World.WorldMap.ModifyMark | ( | MarkPosition | position,
|  | PointF | coordinates,
|  | Color | color
| ) |  |

Modify parameters of the specified mark.

Parameters

  position | Mark position.
  coordinates | Mark coordinates.
  color | Mark color.

Definition at line 546 of file WorldMap.cs.

void World.WorldMap.RecalculateCarRectangle | ( |  | ) |
| private

Recalculates the coordinates of car-defining rectangle

Definition at line 588 of file WorldMap.cs.

void World.WorldMap.RecalculatePlatformRectangle | ( |  | ) |
| private

Recalculates the coordinates of platform-defining rectangle

Definition at line 608 of file WorldMap.cs.

void World.WorldMap.RecalculateTrack | ( |  | ) |
| private

Recalculate track points' coordinates.

Definition at line 561 of file WorldMap.cs.

## Member Data Documentation

List<Mark> World.WorldMap.marks
| private

List of detected marks.

Definition at line 491 of file WorldMap.cs.

List<TrackPoint> World.WorldMap.trackPoints
| private

List of wheelchair's track points.

Definition at line 501 of file WorldMap.cs.

## Property Documentation

List<Mark> World.WorldMap.Marks
| get

Marks list getter.

Definition at line 507 of file WorldMap.cs.

List<TrackPoint> World.WorldMap.TrackPoints
| get

Track points getter.

Definition at line 518 of file WorldMap.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/WorldMap.cs